#
# spec file for package scim (Version 1.4.7)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl atk atk-devel attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cairo cairo-devel coreutils cpio cpp cracklib cvs cyrus-sasl db desktop-translations diffutils docbook-xsl-stylesheets docbook_4 doxygen e2fsprogs expat file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gcc-c++ gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-32bit glibc-devel glibc-locale glitz glitz-devel gnome-filesystem gpm graphviz grep groff gtk2 gtk2-devel gzip info insserv intltool klogd less libacl libattr libcom_err libdrm libgcc libgcrypt libgpg-error libgssapi libjpeg libmudflap libnscd libpng libpng-devel libstdc++ libstdc++-devel libtool libxcrypt libxml2 libxslt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openmotif-libs openssl pam pam-modules pango pango-devel patch perl perl-XML-Parser permissions pkgconfig popt procinfo procps psmisc pwdutils rcs readline rpm sed sgml-skel strace sysvinit tar tcpd texinfo timezone unzip update-desktop-files util-linux vim xorg-x11-devel xorg-x11-libs zlib zlib-devel


Name:           scim
BuildRequires:  docbook-xsl-stylesheets doxygen gcc-c++ graphviz gtk2-devel intltool libxslt perl-XML-Parser update-desktop-files
Summary:        Smart Chinese/Common Input Method platform
Version:        1.4.7
Release:        27.5
License:        LGPL v2.1 or later
Group:          System/I18n/Chinese
AutoReqProv:    on
PreReq:         /usr/bin/touch
Obsoletes:      scim-frontend-x11, scim-server-rawcode, scim-config-simple, scim-server-table, scim-gtk2-immodule, scim-config-socket, scim-server-socket, scim-config-gconf, scim-frontend-socket
Provides:       locale(ja;ko;zh)
Provides:       scim-frontend-x11, scim-server-rawcode, scim-config-simple, scim-server-table, scim-gtk2-immodule, scim-config-socket, scim-server-socket, scim-frontend-socket
Url:            http://www.scim-im.org/
# CVS repository:
# cvs -d:pserver:anonymous@scim.cvs.sourceforge.net:/cvsroot/scim login 
# cvs -z3 -d:pserver:anonymous@scim.cvs.sourceforge.net:/cvsroot/scim co scim
# Source0:      http://freedesktop.org/~suzhe/sources/scim-0.99.7.tar.bz2
Source0:        scim-1.4.7.tar.bz2
Source10:       etc-x11-xim.d-scim
Source11:       SuSEconfig.scim
Patch0:         scim.patch
Patch1:         configs.patch
Patch248159:    bugzilla-248159-scim-launcher-segfault.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%define gnome_prefix /opt/gnome

%description
SCIM is a developing platform to significant reduce the difficulty of
input method development.



Authors:
--------
    James Su <suzhe@tsinghua.org.cn>

%debug_package
%package devel
License:        LGPL v2.1 or later
Summary:        Include Files and Libraries mandatory for Development.
Group:          System/I18n/Chinese
Requires:       %{name} = %{version}, libstdc++-devel
Requires:       pkgconfig >= 0.12

%description devel
This package contains all necessary include files and libraries needed
to develop applications that require these.



Authors:
--------
    James Su <suzhe@tsinghua.org.cn>

%prep
%define build_config_socket	1
%define build_config_simple	1
%define build_frontend_x11	1
%define build_frontend_socket	1
%define build_imengine_rawcode	1
%define build_imengine_table	1
%define build_imengine_socket	1
%define build_gtk2_immodule	1
%define build_scim_setup        1
%define build_panel_gtk         1
%define build_gtk_utils         1
%setup -q -n %{name}-%{version}
#%patch0 -p1
%patch1 -p1
%patch248159 -p1
find . -type f | xargs chmod u+w
UTF_8_LOCALES=$(locale -a | grep utf8 | perl -p -e "s/utf8/UTF-8/; s/\n/,/; " | perl -p -e "s/,$//")
perl -pi -e "s/\/SupportedUnicodeLocales =.*/\/SupportedUnicodeLocales = $UTF_8_LOCALES/"  ./configs/global

%build
libtoolize --force
autoreconf --force --install --verbose
if [ ! -f po/Makevars -a -f po/Makevars.template ] ; then
    cp po/Makevars.template po/Makevars
fi
if [ ! -f po/Makevars -a -f /usr/share/gettext/po/Makevars.template ] ; then
    cp  /usr/share/gettext/po/Makevars.template po/Makevars
fi
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
%configure\
	--libexecdir=%{_prefix}/lib/scim-1.0\
	--disable-static\
%if ! %{build_config_socket}
	--disable-config-socket\
%endif
%if ! %{build_config_simple}
	--disable-config-simple\
%endif
%if ! %{build_frontend_x11}
	--disable-frontend-x11\
%endif
%if ! %{build_frontend_socket}
	--disable-frontend-socket\
%endif
%if ! %{build_imengine_rawcode}
	--disable-im-rawcode\
%endif
%if ! %{build_imengine_table}
	--disable-im-table\
%endif
%if ! %{build_imengine_socket}
	--disable-im-socket\
%endif
%if ! %{build_gtk2_immodule}
	--disable-gtk2-immodule\
%endif
%if ! %{build_scim_setup}
	--disable-setup-ui\
%endif
	--enable-debug\
	--enable-ld-version-script
make top_builddir=$(pwd)
# build documentation:
make -C docs html
make -C docs/manual/zh_CN html

%install
make DESTDIR=${RPM_BUILD_ROOT} top_builddir=$(pwd) install
mkdir -p ${RPM_BUILD_ROOT}/%{_libdir}/scim-1.0/{Config,FrontEnd,IMEngine,SetupUI}
rm -f ${RPM_BUILD_ROOT}/%{_libdir}/scim-1.0/*/*/*.*a
rm -f ${RPM_BUILD_ROOT}/%{gnome_prefix}/%_lib/gtk-2.0/immodules/im-scim.*a
# install user manual
mkdir -p docs/dist/manual/zh_CN/figures/
cp -a docs/manual/zh_CN/user-manual.{html,xml} docs/dist/manual/zh_CN/
cp -a docs/manual/zh_CN/figures/*.png docs/dist/manual/zh_CN/figures/
mkdir -p $RPM_BUILD_ROOT/etc/X11/xim.d/
install -m 644 $RPM_SOURCE_DIR/etc-x11-xim.d-scim \
               $RPM_BUILD_ROOT/etc/X11/xim.d/scim
# install symlinks in /etc/X11/xim.d/$lang for all languages
# where SCIM might be useful:
PRIORITY=50
pushd $RPM_BUILD_ROOT/etc/X11/xim.d/
    for lang in am ar as bn el fa gu he hi hr ja ka kk kn ko lo ml my \
		pa ru sk vi zh_TW zh_CN zh_HK zh_SG \
		de fr it es nl cs pl da nn nb fi en sv
    do
        mkdir $lang
	pushd $lang
            ln -s ../scim $PRIORITY-scim
	popd
    done
popd
mkdir -p $RPM_BUILD_ROOT/sbin/conf.d/
install -m 755 $RPM_SOURCE_DIR/SuSEconfig.scim \
               $RPM_BUILD_ROOT/sbin/conf.d/SuSEconfig.scim
%find_lang scim
%suse_update_desktop_file scim-setup System SystemSetup

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%post 
%run_ldconfig
%if %{build_gtk2_immodule}
# trigger run of SuSEconfig.gtk2 to register/unregister this input module
# by calling gtk-query-immodules-2.0:
touch var/adm/SuSEconfig/run-gtk
%endif

%postun 
%run_ldconfig
%if %{build_gtk2_immodule}
# trigger run of SuSEconfig.gtk2 to register/unregister this input module
# by calling gtk-query-immodules-2.0:
touch var/adm/SuSEconfig/run-gtk
%endif

%files -f scim.lang
%defattr(-, root, root)
%doc AUTHORS COPYING NEWS README ChangeLog TODO
%doc docs/dist/manual/zh_CN
/sbin/conf.d/SuSEconfig.scim
%dir /etc/X11/xim.d/
/etc/X11/xim.d/*
%dir %{_sysconfdir}/scim
%dir %{_libdir}/scim-1.0
%dir %{_libdir}/scim-1.0/1.4.0
%dir %{_libdir}/scim-1.0/*/Filter
%dir %{_libdir}/scim-1.0/*/FrontEnd
%dir %{_libdir}/scim-1.0/*/IMEngine
%dir %{_libdir}/scim-1.0/*/Config
%dir %{_libdir}/scim-1.0/*/SetupUI
%dir %{_libdir}/scim-1.0/*/Helper
%dir %{_libdir}/scim-1.0/Config
%dir %{_libdir}/scim-1.0/FrontEnd
%dir %{_libdir}/scim-1.0/IMEngine
%dir %{_libdir}/scim-1.0/SetupUI
%dir %{_datadir}/scim
%dir %{_datadir}/scim/icons
%config %{_sysconfdir}/scim/global
%{_bindir}/scim
%{_bindir}/scim-config-agent
%{_libdir}/libscim*.so.*
%{_libdir}/scim-1.0/scim-launcher
%{_libdir}/scim-1.0/scim-helper-launcher
%{_libdir}/scim-1.0/scim-helper-manager
%{_datadir}/scim/icons/keyboard.png
%{_datadir}/scim/icons/up.png
%{_datadir}/scim/icons/down.png
%{_datadir}/scim/icons/left.png
%{_datadir}/scim/icons/right.png
%{_datadir}/scim/icons/full-letter.png
%{_datadir}/scim/icons/half-letter.png
%{_datadir}/scim/icons/full-punct.png
%{_datadir}/scim/icons/half-punct.png
%{_datadir}/scim/icons/help.png
%{_datadir}/scim/icons/menu.png
%{_datadir}/scim/icons/pin-up.png
%{_datadir}/scim/icons/pin-down.png
%{_datadir}/scim/icons/setup.png
%{_datadir}/scim/icons/trademark.png
%{_datadir}/scim/icons/sctc-tc-to-sc.png
%{_datadir}/scim/icons/sctc-sc-to-tc.png
%{_datadir}/scim/icons/sctc.png
%{_libdir}/scim-1.0/*/Filter/sctc.so
%{_libdir}/scim-1.0/*/Helper/setup.so
%if %{build_scim_setup}
%{_bindir}/scim-setup
%{_datadir}/applications/scim-setup.desktop
%{_datadir}/control-center-2.0
%dir %{_datadir}/control-center-2.0/capplets/
%{_datadir}/control-center-2.0/capplets/scim-setup.desktop
%{_datadir}/pixmaps/scim-setup.png
%endif
%if %{build_panel_gtk}
%{_libdir}/scim-1.0/scim-panel-gtk
%if %{build_scim_setup}
%{_libdir}/scim-1.0/*/SetupUI/panel-gtk-setup.so
%endif
%endif
%if %{build_frontend_x11}
%{_libdir}/scim-1.0/*/FrontEnd/x11.so
%endif
%if %{build_scim_setup}
%{_libdir}/scim-1.0/*/SetupUI/aaa-frontend-setup.so
%{_libdir}/scim-1.0/*/SetupUI/aaa-imengine-setup.so
%endif
%if %{build_imengine_rawcode}
%{_libdir}/scim-1.0/*/IMEngine/rawcode.so
%{_datadir}/scim/icons/rawcode.png
%endif
%if %{build_config_simple}
%config %{_sysconfdir}/scim/config
%{_libdir}/scim-1.0/*/Config/simple.so
%endif
%if %{build_imengine_socket}
%{_libdir}/scim-1.0/*/IMEngine/socket.so
%endif
%if %{build_frontend_socket}
%{_libdir}/scim-1.0/*/FrontEnd/socket.so
%endif
%if %{build_config_socket}
%{_libdir}/scim-1.0/*/Config/socket.so
%endif
%if %{build_gtk2_immodule}
%{gnome_prefix}/%_lib/gtk-2.0/immodules/im-scim.so
%endif

%files devel
%defattr(-, root, root)
%doc docs/html
%doc docs/developers
%{_libdir}/libscim*.so
%{_libdir}/lib*.*a
%{_libdir}/pkgconfig/*.pc
%{_includedir}/scim-1.0

%changelog
* Tue Nov 13 2007 - mfabian@suse.de
- Bugzilla #325896 and #190910: update to 1.4.7:
  • Error handling bug in scim::Socket non-blocking read and
  write methods.
  • High power consumption issue caused by X11 FrontEnd.
- remove bugzilla-221326-ltc27940-revert.patch (now upstream).
- remove #!/bin/sh from SuSEconfig.scim because RPMLINT complains.
* Fri May 04 2007 - mfabian@suse.de
- Bugzilla #221326: the original patch proposed by IBM slipped
  in upstream. Revert it because of its side effects.
* Wed May 02 2007 - mfabian@suse.de
- Bugzilla #248159: fix scim-laucher segfault when scim-launcher
  is already running. Patch by Peng Wu <pwu@novell.com>.
* Mon Apr 23 2007 - mfabian@suse.de
- update to 1.4.6.
  • Fixed BSD Support
  • Added jp106 keyboard support, thanks Ryo Dairiki and
  Takuro Ashie.
  • Fixed Lookup table flickering in some gtk applications.
  • Adjusts the position of toolbar according to the size of
  current work area.
  • Uses GtkEventBox instead of GtkButton in tray icon.
  • Doesn't set locale if it's already set.
  • Added Dutch translation. Thanks Ronald Stroethoff.
- remove do-not-return-random-data-in-a-function.patch
  (included upstream).
- remove language-name.patch, bugzilla-224796-compose-key-fix.patch
  bugzilla-232014-fix-for-openoffice.patch
  (were from upstream CVS).
* Wed Feb 07 2007 - sbrabec@suse.cz
- Do not build static libraries (#238552).
- Removed gconf2 support - gconf module does not exist any more.
* Thu Jan 25 2007 - mfabian@suse.de
- disable the patch for bugzilla #221326 because of the side
  effects it causes.
- determine gnome_prefix automatically
- don't try to edit the list of UTF-8 locales into scim.schemas,
  this file doesn't exist anymore.
* Wed Jan 10 2007 - mfabian@suse.de
- Bugzilla #232014: OpenOffice requires the preedit caret to be
  at the end of the preedit string or weird behaviour will
  occur. Fixed by Zhe Su <zsu@novell.com>.
- Gnome has moved to /usr for openSUSE > 10.2.
* Fri Dec 01 2006 - zsu@suse.de
- Bugzilla 224796:
  Fixed a wrong compose key entry in scim_compose_key_data.h,
  which causes en-dash and em-dash couldn't be inputted correctly.
* Fri Nov 17 2006 - mfabian@suse.de
- Bugzilla #221326, LTC27940:
  "SCIM commits each input unexpectedly if two ICs were created".
* Thu Aug 10 2006 - mfabian@suse.de
- Bugzilla #198374: "SCIM gtk immodule bug for non-standard gtk
  application": add patch by the author Zhe Su <zsu@novell.com>.
* Thu Jun 15 2006 - zsu@suse.de
- Bugzilla #185176: Fixed a bug which prevents empty LookupTable
  from being handled correctly by scim::Transaction.
* Mon Apr 10 2006 - mfabian@suse.de
- Bugzilla #87443: add "Hangul" to the SCIM Trigger keys.
  See also: http://librarian.launchpad.net/1914454/scim_config.diff
  https://launchpad.net/distros/ubuntu/+source/scim/+bug/37687
* Fri Apr 07 2006 - mfabian@suse.de
- Bugzilla #163522: SCIM XIM server returns unexpected data.
* Mon Mar 20 2006 - zsu@suse.de
- Bugzilla #159436: fix x11 frontend to enable communication between
  un-focused IC and helper module.
* Tue Mar 14 2006 - mfabian@suse.de
- Bugzilla #157814: make SuSEconfig.scim executable.
* Sat Mar 04 2006 - zsu@suse.de
- Upgrade to the latest cvs head to fix the following issues [#154308]
  - Fixed a NULL pointer bug in scim_imengine_setup.cpp, which causes
  GTK-CRITICAL issue when launching scim-setup.
  - Rename language name "Panjabi" to "Punjabi".
  - Add 4 new languange names that required by m17n 1.3.0
  - Fixed a bug in rawcode engine which prevents from inputting some
  code point.
* Tue Feb 28 2006 - mfabian@suse.de
- Bugzilla #153791: use ';' in locale(ja;ko;zh).
* Thu Feb 23 2006 - mfabian@suse.de
- Bugzilla #149536: add /opt/kde3/bin to path in
  /etc/X11/xim.d/scim.
- add Provides: locale(ja,ko,zh).
* Sun Feb 19 2006 - aj@suse.de
- Reduce BuildRequires.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 13 2006 - zsu@suse.de
- Move the page up/down buttons of horizontal lookup table
  back to right side.
- Fix some compile warnings.
* Thu Jan 12 2006 - mfabian@suse.de
- update to 1.4.4.
* Fri Aug 19 2005 - mfabian@suse.de
- Bugzilla #105319: make /FrontEnd/X11/Dynamic = false the
  default again to make sure that Compose works always.
- Bugzilla #105193: add "Zenkaku_Hankaku" to
  /Hotkeys/FrontEnd/Trigger (this is the trigger key used MS IME
  for Japanese).
* Thu Aug 18 2005 - mfabian@suse.de
- Bugzilla #105319: fix typo in our patch of the default config
  (Shift+space instead of Shift+Space).
* Mon Aug 15 2005 - mfabian@suse.de
- fix a bug of the focus ic handling by updating to
  scim 1.4.1.20050815 (CVS HEAD).
* Tue Aug 09 2005 - mfabian@suse.de
- Bugzilla #97962 and Bugzilla #10304: update to scim 1.4.1.
  (see comment #9 in Bugzilla #10304).
- make "/FrontEnd/SharedInputMethod = true" the default.
* Wed Jul 27 2005 - mfabian@suse.de
- Bugzilla #85416: add configure option "--enable-ld-version-script"
* Mon Jul 18 2005 - mfabian@suse.de
- update to 1.4.0.
  + add SuSEconfig.scim (by Zhe Su) to synchronize the scim
  keyboard setting with the system wide keyboard setting.
  + add patch from CVS to support three more keyboard layouts.
* Wed Jul 06 2005 - mfabian@suse.de
- update to 1.3.3.
  (Fix for Bugzilla #74356 now included).
* Tue Jul 05 2005 - mfabian@suse.de
- Bugzilla #74356: "Clicking KDE printer icon crashes"
  fixed with lots of help by Michael Matz <matz@suse.de>.
* Mon Jul 04 2005 - mfabian@suse.de
- update to 1.3.2.
* Mon Jun 20 2005 - mfabian@suse.de
- update to 1.3.1.
* Thu Jun 02 2005 - mfabian@suse.de
- update to 1.3.0.
- remove included patches (warnings.patch, gcc4-friends.patch).
* Sun May 22 2005 - aj@suse.de
- Fix for GCC 4 friends conformance.
* Tue May 10 2005 - mfabian@suse.de
- update to 1.2.2.
- Czech translations are included upstream now, remove patch.
* Wed Mar 30 2005 - mfabian@suse.de
- fix some compilation warnings.
* Thu Mar 10 2005 - mfabian@suse.de
- add Czech translations done by Klara Cihlarova <cihlarov@suse.cz>.
* Mon Feb 28 2005 - mfabian@suse.de
- update to 1.2.0.
* Wed Feb 23 2005 - mfabian@suse.de
- Bugzilla #66295: make it possible to use scim-config-agent to
  trigger a reload of SCIM's configuration (from the upstream
  author Zhe Su <zsu@novell.com>.
- update French translations
* Tue Feb 22 2005 - mfabian@suse.de
- fix typo in  /etc/X11/xim.d/scim.
* Mon Feb 21 2005 - mfabian@suse.de
- create start script /etc/X11/xim.d/scim and symlinks in
  locale specific subdirectories.
* Fri Feb 04 2005 - adrian@suse.de
- update to 1.1.3
* Mon Jan 24 2005 - mfabian@suse.de
- update to 1.1.2.
* Mon Jan 10 2005 - mfabian@suse.de
- update to 1.1.0.20050110
* Thu Dec 30 2004 - mfabian@suse.de
- update to 1.0.2.
- remove reduce-default-debug-output.patch (Zhe Su has implemented
  a better solution in 1.0.2 now).
* Mon Oct 04 2004 - mfabian@suse.de
- Bugzilla #46565: reduce default debug output of scim.
- Bugzilla #46365 comment #20: Set preedit caret when updating
  preedit string.
* Wed Sep 29 2004 - mfabian@suse.de
- make OnTheSpot input style the default for XIM.
* Tue Sep 21 2004 - mfabian@suse.de
- update to 1.0.1
  - Added missing assignment for SCIM_BUILD_GTK_UTILS variable in
  configure.ac
  - Call focus_out when turnning off input method in gtkimmodule.
  - Fixed gtk2 binary compatibility issue. Now scim binary compiled
  against gtk2-2.2.x can be used with gtk2-2.4.x.
* Mon Sep 20 2004 - mfabian@suse.de
- add bugfix-patch received from author (Zhe Su).
- add "Requires: gtk2 >= 2.2.0, gtk2 < 2.4.0" for SuSE 9.1.
* Sat Sep 04 2004 - mfabian@suse.de
- make scim the default for ja, ko, zh_CN, zh_TW, and zh_HK
  when using GTK_IM_MODULE.
* Sat Sep 04 2004 - mfabian@suse.de
- update to 1.0.0.
* Fri Sep 03 2004 - mfabian@suse.de
- use "Control+space,Shift+space" as the default for
  /FrontEnd/Keys/Trigger instead of only "Control+space".
  Users of kinput2, ami, ... are used to Shift+Space and may
  not expect "Control+Space".
* Mon Aug 30 2004 - mfabian@suse.de
- update to 0.99.9.
  (German translations available now, startup problem in ~/.xim
  is fixed).
* Wed Aug 25 2004 - mfabian@suse.de
- update to 0.99.8.
- Bugzilla #44155: add /usr/bin/touch to PreReq:.
- enable all UTF-8 locales again in /etc/scim/global, this
  should work now, Zhe Su fixed a bug in IMdkit.
* Sat Aug 21 2004 - mfabian@suse.de
- add 64bit.patch received from Zhe Su to fix crash of scim-setup
  on x86_64 when clicking on the top-level items in the tree
  on the left side.
* Fri Aug 20 2004 - mfabian@suse.de
- update to 0.99.7.
* Wed Aug 18 2004 - mfabian@suse.de
- Bugzilla #43802: add 64bit.patch received from
  Zhe Su <zsu@novell.com> which fixes this bug.
* Fri Aug 13 2004 - mfabian@suse.de
- update to 0.99.6 final.
* Thu Aug 12 2004 - mfabian@suse.de
- update to 0.99.6 (CVS)
  (includes my 64bit.patch to fix the segmentation fault on x86_64)
* Thu Aug 05 2004 - mfabian@suse.de
- update to 0.99.2.
- merge scim-gtk2-immodule, scim-config-socket, scim-server-socket,
  scim-config-gconf, and scim-frontend-socket subpackages into
  scim and scim-devel (the upstream author made that change I
  think it's better that way too).
* Tue May 11 2004 - sbrabec@suse.cz
- PreReq moved to proper subpackage.
* Tue May 11 2004 - sbrabec@suse.cz
- Fixed gconftool-2 prerequirements.
* Tue Apr 27 2004 - mfabian@suse.de
- update to 0.9.6
- remove scim-0.9.1-fix.patch (included now).
- set text DOMAIN to "scim" to make the .mo files install correctly
- mv scim-im.so to /opt/gnome/%%_lib/gtk-2.0/immodules/im-scim.so
  instead of /opt/gnome/%%_lib/gtk-2.0/2.3.5/immodules/im-scim.so
* Fri Apr 02 2004 - mfabian@suse.de, zsu@novell.com
- add patch received by author which fixes a problem with the gtk
  help dialog.
* Wed Mar 10 2004 - sbrabec@suse.cz
- Fixed gconf schemas installation (#33114).
* Fri Feb 27 2004 - mfabian@suse.de
- don't enable all UTF-8 locales, unfortunately this still doesn't
  work.
* Thu Feb 26 2004 - mfabian@suse.de
- update to 0.9.1.
- remove max-config-line-length.patch, included upstream.
* Thu Feb 05 2004 - mfabian@suse.de
- don't make SCIM the default GTK input method for all languages,
  only for "zh".
- increase maximum allowed line length in config file.
* Tue Dec 09 2003 - mfabian@suse.de
- update to 0.8.2.
- remove subpackages scim-frontend-x11, scim-server-rawcode,
  scim-server-table, scim-config-simple (these are merged into
  the main scim packages upstream, it's better use the same
  structure in the SUSE packages as upstream).
* Wed Oct 22 2003 - sbrabec@suse.cz
- Use SuSE standard gconf schema installation.
* Fri Sep 05 2003 - mfabian@suse.de
- don't try to call in gtk-query-immodules-2.0 in %%post and
  %%postun, just trigger a run of SuSEconfig.gtk2
  which will then call gtk-query-immodules-2.0. See also
  Bugzilla #29417.
* Wed Aug 20 2003 - mfabian@suse.de
- remove "Requires: gconf2 >= 1.1.10"
* Fri Aug 15 2003 - adrian@suse.de
- add Categories
* Sun Aug 03 2003 - ro@suse.de
- gtk has been moved to /opt/gnome
* Mon Jul 14 2003 - sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Fri Jul 04 2003 - mfabian@suse.de
- new package: version 0.5.0.
- adapt .spec file for SuSE.
- remove scim-suite subpackage, it contains the same files as
  some other sub-packages and is only intended to make it easier
  for the user to install the basic stuff to use SCIM without
  having to think which sub-packages to install. But this can be
  done by language specific selections, having an extra package
  duplicating contents of other packages just wastes space on
  the CDs.
* Thu Jun 19 2003 - James Su <suzhe@turbolinux.com.cn>
- updated to include scim-setup and its modules.
* Thu Apr 03 2003 - James Su <suzhe@turbolinux.com.cn>
- added suite package, which includes all necessary components of SCIM.
* Tue Mar 25 2003 - James Su <suzhe@turbolinux.com.cn>
- updated to v0.4.0
* Wed Feb 26 2003 - James Su <suzhe@turbolinux.com.cn>
- implemented dynamic adjust feature for generic table module.
- fixed key handling bug in generic table module.
* Mon Feb 10 2003 - James Su <suzhe@turbolinux.com.cn>
- Replaced highlight_start and highlight_end in scim_server
  and scim_frontend with AttributeList (scim_attributes.h)
- Moved icons/* to data/icons and gtkstringview.* to
  utils/
* Thu Jan 02 2003 - James Su <suzhe@turbolinux.com.cn>
- updated configure.ac and Makefile.am
- ready to release 0.3.0
* Tue Nov 12 2002 - James Su <suzhe@turbolinux.com.cn>
- merged signal system from libinti.
- implemented namespace scim.
- implemented referenced object.
- version 0.3.0
* Tue Nov 05 2002 - James Su <suzhe@turbolinux.com.cn>
- minor fixes for table IM module.
* Mon Nov 04 2002 - James Su <suzhe@turbolinux.com.cn>
- More IMdkit memory leak fixes.
- Table input method bugfixes.
- version 0.2.2
* Fri Nov 01 2002 - James Su <suzhe@turbolinux.com.cn>
- improved table input method.
- actually fixed the memleaks within IMdkit.
- pumped the version to 0.2.1
* Thu Oct 31 2002 - James Su <suzhe@turbolinux.com.cn>
- fixed some memory leaks in IMdkit
- reduced memory usage.
- upgraded to libtool-1.4.3
* Tue Oct 29 2002 - James Su <suzhe@turbolinux.com.cn>
- finished Generic Table input server module.
- fixed several bugs in scim-lib.
* Thu Oct 10 2002 - James Su <suzhe@turbolinux.com.cn>
- used gettext to support i18n message.
- added release info to lib name.
* Mon Sep 30 2002 - James Su <suzhe@turbolinux.com.cn>
- version 0.1.4
- added Embedded Lookup Table style into X11 FrontEnd.
- use wchar_t instead of unsigned long if __STDC_ISO_10646__ defined.
* Sun Sep 22 2002 - James Su <suzhe@turbolinux.com.cn>
- version 0.1.3
- config button of X11 FrontEnd was disabled.
* Fri Sep 06 2002 - James Su <suzhe@turbolinux.com.cn>
- simplified the utilities and lookup table interface.
* Wed Aug 21 2002 - James Su <suzhe@turbolinux.com.cn>
- version 0.1.2
- added configuration options to disable modules.
- enhanced X11 FrontEnd.
* Sun Aug 11 2002 - James Su <suzhe@turbolinux.com.cn>
- version 0.1.1
- X11 FrontEnd was enhanced.
* Sat Aug 10 2002 - James Su <suzhe@turbolinux.com.cn>
- version 0.1.0
- many bugfixes.
- Help window of X11 FrontEnd was implemented.
- scim can exit cleanly.
* Fri Aug 02 2002 - James Su <suzhe@turbolinux.com.cn>
- SCIM 0.0.13.
- Minor bugfixes.
* Mon Jul 29 2002 - James Su <suzhe@turbolinux.com.cn>
- SCIM 0.0.12.
- Minor bugfixes.
* Sun Jul 28 2002 - James Su <suzhe@turbolinux.com.cn>
- SCIM 0.0.11.
- Minor bugfixes.
* Sun Jul 21 2002 - James Su <suzhe@turbolinux.com.cn>
- SCIM 0.0.10.
- Added Simple Config module.
* Sat Jun 22 2002 - James Su <suzhe@turbolinux.com.cn>
- first public release of SCIM.
